.training-card {
  position: relative;
  min-width: 240px;
  height: 390px;
}

.training-card__content {
  display: inline-block;
  width: 100%;
  height: 100%;
}

.training-card-content__title {
  display: -webkit-box;
  margin: 24px 16px 8px;
  overflow: hidden;
  color: $pix-neutral-90;
  font-weight: $font-medium;
  font-size: 1.12rem;
  font-family: $font-roboto;
  line-height: 1.75rem;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.training-card-content__infos {
  padding: 0 $spacing-s $spacing-xxl;
}

.training-card-content-infos__tag {
  max-width: 100%;
}

.training-card-content-infos-tag__list {
  display: flex;
  padding-left: 0;

  & > * + *::before {
    margin: 0 1ch;
    content: '-';
  }
}

.training-card-content-infos-tag-list__duration {
  max-width: 100%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.training-card-content__illustration {
  position: absolute;
  bottom: 80px;
  left: 0;
  width: 100%;
  height: 155px;

  .training-card-content-illustration {

    &__logo {
      position: absolute;
      left: $spacing-s;
      z-index: 1;
      width: 64px;
      padding: $spacing-xxs;
      background-color: $pix-neutral-0;
      border-radius: 0 0 4px 4px;
    }

    &__image {
      position: absolute;
      z-index: 0;
      width: 100%;
      height: 155px;
      object-fit: cover;
    }
  }
}
